package com.ruoyi.project.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.project.business.domain.TpParaValidation;
import com.ruoyi.project.business.dto.TpParaValidationDto;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * 校验规则配置Mapper接口
 *
 * @author ruoyi
 * @date 2024-04-29
 */
public interface TpParaValidationMapper extends BaseMapper<TpParaValidation> {

    /**
     * 查询校验规则配置
     *
     * @param id 校验规则配置主键
     * @return 校验规则配置
     */
    TpParaValidation selectTpParaValidationById(Long id);

    /**
     * 查询校验规则配置列表
     *
     * @param tpParaValidation 校验规则配置
     * @return 校验规则配置集合
     */
    List<TpParaValidation> selectTpParaValidationList(TpParaValidation tpParaValidation);

    /**
     * 新增校验规则配置
     *
     * @param tpParaValidation 校验规则配置
     * @return 结果
     */
    int insertTpParaValidation(TpParaValidation tpParaValidation);

    /**
     * 修改校验规则配置
     *
     * @param tpParaValidation 校验规则配置
     * @return 结果
     */
    int updateTpParaValidation(TpParaValidation tpParaValidation);

    /**
     * 删除校验规则配置
     *
     * @param id 校验规则配置主键
     * @return 结果
     */
    int deleteTpParaValidationById(Long id);

    /**
     * 批量删除校验规则配置
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteTpParaValidationByIds(Long[] ids);

    List<TpParaValidationDto> getTableList(TpParaValidationDto param);

    List<TpParaValidation> listByElevatorModelId(@Param("id") Long elevatorModelId,
        @Param("quotationFlag") Boolean quotationFlag);

    void clearAll();
}
